scenario = "Route-Survey";

active_buttons = 2;
#hieronder geef je aan wat de codes zijn voor de response-knoppen
# 0,1 verwijst naar de knoppenkast, de meest linkse en meest rechtse
button_codes = 1,2;
response_matching = simple_matching;
default_attenuation = .2;    # attenuate sounds by 20 Db
#pan = 0; # -1 play left only, 1 play right only

begin;

picture {} default;
#hieronder noem je alle geluidsstimuli die je nodig hebt in het hele experiment.
sound {wavefile {filename = "startsignaal.wav"; }; }beep;
sound {wavefile {filename = "intro.wav"; }; }introoefen;
sound {wavefile {filename = "einde.wav"; }; }einde;
sound {wavefile {filename = "goed.wav"; }; }goed;
sound {wavefile {filename = "fout.wav"; }; }fout;
sound {wavefile {filename = "introechteonderzoek.wav"; }; }introecht;
sound {wavefile {filename = "experimentbegint.wav"; }; }experimentbegint;
sound {wavefile {filename = "reminder.wav"; }; }reminder;  
sound {wavefile {filename = "onderkansniveautekstje.wav"; }; }onderkansniveau;
#stimuli trials
sound {wavefile {filename = "heup.wav";   }; }heup;
sound {wavefile {filename = "oor.wav";  }; }oor;
sound {wavefile {filename = "schouder.wav"; }; }schouder;
sound {wavefile {filename = "elleboog.wav"; }; }elleboog;
sound {wavefile {filename = "navel.wav"; }; }navel;
sound {wavefile {filename = "pols.wav"; }; }pols;
sound {wavefile {filename = "voorhoofd.wav"; }; }voorhoofd;
sound {wavefile {filename = "kin.wav"; }; }kin;
sound {wavefile {filename = "knie.wav"; }; }knie;  
sound {wavefile {filename = "enkel.wav"; }; }enkel;  
sound {wavefile {filename = "neus.wav"; }; }neus;  
sound {wavefile {filename = "oksel.wav"; }; }oksel;  


# Start of Programme 
#uitleg van de taak, moet nog auditief worden
# intro
trial {
sound introoefen; code = "introoefen";
};

trial {
    trial_duration = forever;
    trial_type = specific_response;    	# trial ends when response
    terminator_button = 1;             	#   button 1 is pressed
	picture {
		text {
			font_size = 18;
			caption = "Wachten op de linkerknop";	
			};
		x = 0 ; y = 0 ;		
		};
};

trial { 
#	trial_duration = 2000;
	picture {
		text {
			font_size = 18;
#			system_memory = true;
			caption = "Oefensessie";	
			};
		x = 0 ; y = 0 ;		
		};
	};      

#code nodig voor het geven van feedback
trial {
    trial_duration = stimuli_length;
    sound fout;
    time = 100;
    code = "fout";
	 nothing {}; delta_time = 2000; code = "end_trial";
} wrong;
trial {
    trial_duration = stimuli_length;
    sound goed;
    time = 100;
    code = "goed";
    nothing {}; delta_time = 2000; code = "end_trial";
} right;

#oefentrials
TEMPLATE "oefen.tem" randomize {
# zin1: naam van 1e lichaamsdeel 
# z1code: code van het 1e lichaamsdeel voor de logfile 
# zin2: naam van 2e lichaamsdeel
# z2code: code van het 2e lichaamsdeel voor de logfile 
# antw: welke knop het goede antwoord is
# trialcode: unique trial code (conditie, trialtype)
# uitbreiden naar meerdere trials trials

# oefentrials
# nog even aanpassen. Alleen duidelijke verschillen. En voorbeeld van 3 condities.
# zin11					zin12 		zin1code						zin21						zin22			zin2code						antw	trialcode;  
 zin11					zin12			trialcode					antw;
 
 schouder				schouder		"schouderschouder"		oor						oor			"ooroor"						1		"scsc_oror";
 heup						heup			"heupheup"					oor						oor			"ooroor"						1		"hphp_oror";
 oor						oor			"ooroor"						heup						heup			"heupheup"					2		"oror_hphp";
 oor						oor			"ooroor"						schouder					schouder		"schouderschouder"		2		"oror_scsc";
 heup						heup			"heupheup"					neus						kin			"neuskin"					1		"hphp_neki";
 elleboog				elleboog		"elleboogelleboog"		knie						knie			"knieknie"					1	   "elel_knkn";
 neus						navel			"neusnavel"					voorhoofd				kin			"voorhoofdkin"				1	   "nena_vhki";
 knie						knie			"knieknie"					oor						oksel			"ooroksel"					2	   "knkn_orok";
 heup						knie			"heupknie"					elleboog					pols			"elleboogpols"				1  	"hpkn_elpo";
 neus						navel			"neusnavel"					schouder					enkel			"schouderenkel"			2		"nena_scen";
};

trial { 
	picture default;
};

#uitleg begin experiment
trial { 
#	trial_duration = 2000;
	picture {
		text {
			font_size = 18;
#			system_memory = true;
			caption = "Nu volgt het eigenlijke experiment. 
Succes!";	
			};
		x = 0 ; y = 0 ;		
		};
	};      

trial {
	sound introecht; code = "introecht";
};

trial {
    trial_duration = forever;
    trial_type = specific_response;    	# trial ends when response
    terminator_button = 1;             	#   button 2 is pressed
	picture {
		text {
			font_size = 18;
			caption = "Wachten op de linkerknop";	
			};
		x = 0 ; y = 0 ;		
		};
};


trial { 
	picture default;
};



# blok1                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
TEMPLATE "pairs.tem" randomize {
# zin1: naam van 1e lichaamsdeel 
# z1code: code van het 1e lichaamsdeel voor de logfile 
# zin2: naam van 2e lichaamsdeel
# z2code: code van het 2e lichaamsdeel voor de logfile 
# trialcode: unique trial code (conditie, trialtype)
# uitbreiden naar meerdere trials trials
 zin11					zin12			trialcode					antw;
   
# zin11					zin12 		zin1code						zin21						zin22			zin2code				antw		trialcode;  
#groep1
 oor						oksel			"ooroksel"					neus						navel			"neusnavel"				2		"orok_nenaVE";
 oor						oksel			"ooroksel"					schouder					enkel			"schouderenkel"		2		"orok_scenVE";
 voorhoofd				kin			"voorhoofdkin"				neus						navel			"neusnavel"				2		"vhki_nenaVE";
 elleboog				pols			"elleboogpols"				heup						knie			"heupknie"				2		"elpo_hpknVDg";
#groep1
 oor						oksel			"ooroksel"					voorhoofd				kin			"voorhoofdkin"			1		"orok_vhkiVD";
 oor						oksel			"ooroksel"					elleboog					pols			"elleboogpols"			2		"orok_elpoVD";
 oor						oksel			"ooroksel"					heup 						knie			"heupknie"				2		"orok_hpknVDg";
 voorhoofd				kin			"voorhoofdkin"				schouder					enkel			"schouderenkel"		2		"vhki_scenVE";
 elleboog				pols			"elleboogpols"				schouder					enkel			"schouderenkel"		2		"elpo_scenVE";
 heup						knie			"heupknie"					schouder					enkel			"schouderenkel"		2		"hpkn_scenVEg";
#groep 1 
 heup						heup			"heupheup"					enkel						enkel			"enkelenkel"			1		"hphp_enenHEg";
 elleboog				elleboog		"elleboogelleboog"		enkel						enkel			"enkelenkel"			1		"elel_enenHE";
 oor						oor			"ooroor"						schouder					schouder		"schouderschouder"	2		"oror_scscHE";
 enkel					enkel			"enkelenkel"				oor						oor			"ooroor"					2		"enen_ororHD";
 enkel					enkel			"enkelenkel"				knie						knie			"knieknie"				2		"enen_knknHD";
 schouder				schouder		"schouderschouder"		heup						heup			"heupheup"				1		"scsc_hphpHDg";
 schouder				schouder		"schouderschouder"		enkel						enkel			"enkelenkel"			1		"scsc_enenHE";
#groep1 
 enkel					enkel			"enkelenkel"				neus						navel			"neusnavel"				2		"enen_nenaME";
 oor						oksel			"ooroksel"					knie						knie			"knieknie"				1		"orok_knknME";
 neus						navel			"neusnavel"					knie						knie			"knieknie"				1		"nena_knknME";
 heup						heup			"heupheup"					neus						navel			"neusnavel"				2		"hphp_nenaMDg";
 knie						knie			"knieknie"					voorhoofd				knie			"voorhoofdkin"			2		"knkn_vhkiMD";
 knie						knie			"knieknie"					elleboog					pols			"elleboogpols"			2		"knkn_elpoMD";
}; 


# aflsuiting experiment
trial {
	picture {
		text {
			font_size = 18;
			system_memory = true;
			caption = "Dit is het einde van dit experiment.";	
			};
		x = 0 ; y = 0 ;		
		};
	sound einde; code = "einde";
	nothing {}; delta_time = 3547;
	};


#End   

